<xsd:schema xmlns:xsd="http://www.w3.org/2001/XMLSchema">
<xsd:element name="stadt" type="stadt" />

<xsd:complexType name="stadt">
  <xsd:sequence>
    <xsd:element name="name" type="stadt_name_ex" />
    <xsd:element name="einwohner" type="xsd:float" />
    <xsd:element name="fläche" type="xsd:string" />
    <xsd:element name="vorwahl" type="xsd:integer" />
  </xsd:sequence>
</xsd:complexType>

<xsd:simpleType name="stadt_name">
    <xsd:restriction base="xsd:string">
      <xsd:maxLength value="10" />
    </xsd:restriction>
</xsd:simpleType>

<xsd:complexType name="stadt_name_ex">
  <xsd:simpleContent>
    <xsd:extension base="stadt_name">
      <xsd:attribute name="land" type="xsd:string" default="AT" />
    </xsd:extension>
  </xsd:simpleContent>
</xsd:complexType>
</xsd:schema>